GNU bug report logs - #25952
offloading: empty machines file leads to error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <contact.ng0@HIDDEN>; Keywords: moreinfo; dated Fri, 3 Mar 2017 15:49:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 13 Jul 2021 08:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 04:32:27 2021
Received: from localhost ([127.0.0.1]:39358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Dpu-0001P1-2u
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 04:32:27 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:42653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1m3Dps-0001Oe-91
 for 25952 <at> debbugs.gnu.org; Tue, 13 Jul 2021 04:32:12 -0400
Received: by mail-wr1-f48.google.com with SMTP id r11so24091167wro.9
 for <25952 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 01:32:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=0rohIGsj59c9vX8PYa3yP+WwWClGRVkMdyNZbgQF0/8=;
 b=RMKPalnLkqSIO4nucbNnEOsUOjfeSxdsyLP85oqdaORkAsTQ37hhwMPiPh2k1vPCp9
 Hmg5qB1UQkb/Aww9DoA8+V65zXYwPECOILcdSheYefvIJMzG0Sb703y3DPjKjy7YFCCU
 Axjv41FDStKIkc9pk8rt752dvQho/HqdS8ShFjm0HAm+TPZk05Z3V7ucmGcx9HHS3wED
 A0KDrKUEWYysgrUHNgE7ag0oEdrGyJ8uOkAIFjxBZo17p8lrl60+DWerMNFdZFx8Fguw
 ADyNuZ12D5je3qLPA23sAnilUbWpiTizvmXKdcacFqTCYp789YmHuJ7lnDNvusWjottQ
 sQsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=0rohIGsj59c9vX8PYa3yP+WwWClGRVkMdyNZbgQF0/8=;
 b=jbPJhLHkC9vupayYanTfHk2sdtIJJzZGM4LeCmAKSw61BRVDDgjOPFdx5mjl5CiSRY
 atkY/ZCdJY4m3XwoarCG9g10v4KSbfdouvDfFBbYQigftptPihEZtJ71OVPEQyU1lxk2
 5HQiku2tTb+TIeV1zUPquRyiguSuNdu1o3DSTMq8kE5H9pBAmn6+PicHQMtO1wKhco11
 9kghk8wMunFhlwBVr0HlTE8tOF8QSOiy/q1qxzIyOLK9ym57UDJvd0ypSrNerY2Fvx/n
 F6euEGs/3Yj2P1GphdKTC1D2Z8Zirjz4UKatqK29vNsvBmiOYEtQe9rm+0dJ1dYTs0Sb
 BiWw==
X-Gm-Message-State: AOAM533jNdA5/Vc1eY1W5w8vfEU8/j1o6SMfzcaNzmtMQatyMhPS8AhL
 P0UmMfBurd+qOSNZX6KXUQg=
X-Google-Smtp-Source: ABdhPJysbeVwBGkLUBNKX7qSFUB9i9mJJsrylnZ1+pbS1Y3SzRMYVDTW2qsOcMuR2wTQp2KBw/Fxrw==
X-Received: by 2002:a5d:5043:: with SMTP id h3mr4124319wrt.333.1626165126477; 
 Tue, 13 Jul 2021 01:32:06 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id b15sm20184303wrr.27.2021.07.13.01.32.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Jul 2021 01:32:05 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#25952: offloading empty machines file
References: <20170303165648.wg5nypcizxr2n6t5@abyayala>
 <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
 <87tv03ycvo.fsf@nckx>
Date: Tue, 13 Jul 2021 10:11:30 +0200
In-Reply-To: <87tv03ycvo.fsf@nckx> (Tobias Geerinckx-Rice's message of "Mon,
 25 May 2020 22:32:11 +0200")
Message-ID: <86bl76pr9p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952
Cc: 25952 <at> debbugs.gnu.org, contact.ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,

On Mon, 25 May 2020 at 22:32, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
> zimoun =E5=86=99=E9=81=93=EF=BC=9A
>> This bug [1] had not been commented since the last 3 years and it has
>> been asked more info 3 weeks ago.
>
> The issue is that files such as /etc/guix/machines.scm (but this applies
> equally to /etc/guix/acl & so on) are expected to evaluate to a sexp.
>
> An empty file does not a valid sexp make, so Guix throws an prickly backt=
race
> @ your face & dies.  This is unlike most other configuration formats wher=
e an
> empty file or one consisting entirely of comments is a no-op.
>
> We should decide whether =E2=80=98=E2=80=99 is a valid sexp (oh dear, phi=
losophy) or throw
> something softer at people.
>
>> Therefore, I am closing.  Feel free to reopen if I misunderstand somethi=
ng.
>
> I think this bug should remain open until it's decided.  What you?

This bug [1] had been initially opened on March, 3rd 2017 then commented
for the first time [2] on May, 3rd 2020 and closed [3] on May, 25th
2020.  Then reopen the same day [4] with this =E2=80=9Cphilosophical=E2=80=
=9D question
about: is empty =E2=80=99=E2=80=99 a valid sexp?  On May, 26th 2020 [5], I =
provided more
examples.

From my understanding, =C2=ABthrow something softer=C2=BB should be done on=
 the
Guile side, as suggested by [6] on September, 13rd 2020.

Personally, I do not see what could be the next action [7]?  Therefore,
if no more explanations about what the issue really is and what be the
plan to fix it, I will close it.  WDYT?

All the best,
simon

1: <http://issues.guix.gnu.org/25952#0>
2: <http://issues.guix.gnu.org/25952#1>
3: <http://issues.guix.gnu.org/25952#3>
4: <http://issues.guix.gnu.org/25952#4>
5: <http://issues.guix.gnu.org/25952#6>
6: <https://lists.gnu.org/archive/html/guix-devel/2020-09/msg00125.html>
7: <http://issues.guix.gnu.org/25952#8>




Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 5 Jul 2021 11:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 05 07:09:38 2021
Received: from localhost ([127.0.0.1]:44220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m0MTq-0008SO-8V
	for submit <at> debbugs.gnu.org; Mon, 05 Jul 2021 07:09:38 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:45728)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1m0MTn-0008Rd-Aq
 for 25952 <at> debbugs.gnu.org; Mon, 05 Jul 2021 07:09:35 -0400
Received: by mail-wr1-f41.google.com with SMTP id i8so8723119wrp.12
 for <25952 <at> debbugs.gnu.org>; Mon, 05 Jul 2021 04:09:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=gCgrSIIPgC24k9WkXMD+A1PR2B4Sq7/gpla1+ngRFPk=;
 b=QRMEwh8cdvUWZfI8MRb0QxSJ4Gjc1lvrbnN1lSTjMW7H3eOp92U/lMuoUVzIJzVB66
 iCOE5C45EPvgqug5VrSdOulFdJDbOO0+NaxYuRv83TBThmq7MAc283tveRBQrw269waZ
 ToVwLkYm7WqWgChYOL5OHhuVEhPQ7gog4rfcUh9xYHfhJKVjFlhk9aqWAQkScVmYJnKH
 2oCqwybOs8g4tbRDMV1LomHUbgsQs/tXJ37V6kmDBr5B2QwUT3NwLx3saPORXHwaCY49
 3H/GBw17wED56aYz6ectH63SrxDiiF200Auexr5b+0jszqtcC6/583YWDNW/OfVOZ3Tw
 ZVmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=gCgrSIIPgC24k9WkXMD+A1PR2B4Sq7/gpla1+ngRFPk=;
 b=R7fYrI3nd8mfwfApuFlzpBvLIkFeiOLIRjYiEREIkjvH8JUtUuhA/cHJ+idFOd5PY1
 dk6eF4FTf2i2f5k/FaOp9trbbbdYEBHAqCJeT7HhA4hY+Z/kWIyWX/IhMbZmF14sl9FD
 ckLx7CkvEMzITUJWJMT6YR38hL5VQtbAs+6Y/AAMz+O48niiyIKzdSBTi5d2PafCfT07
 rq2ulmnthQcA5w/Bm0k9v619ocsyiz/ZtGSSALBc6s0vxRSI32hFtGfVkDeW3LZF44/i
 59d3dNTzR4kk6H/EudaIuLeaPZi74y4WamJ+0akPB6l86TCKW+MzdKi9w9MJ7PaMXn3M
 y+zg==
X-Gm-Message-State: AOAM530+kROi2iXtR3uJgt8w22nmJU8NqiHaGNkF2aDYzOntYxmwzEFY
 jV59rqPDWiAKKPA911SeH4U=
X-Google-Smtp-Source: ABdhPJwCW1Ue8Oc6YggnGsOQA40aLrstYlCi0k9/JNaIxTYNlvXhw7KoAAOtgaAoMmVS8MmbIBLPHw==
X-Received: by 2002:a5d:4001:: with SMTP id n1mr15284792wrp.159.1625483369533; 
 Mon, 05 Jul 2021 04:09:29 -0700 (PDT)
Received: from pfiuh02 ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id s9sm1884401wrn.87.2021.07.05.04.09.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 05 Jul 2021 04:09:29 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#25952: offloading: empty machines file leads to error
References: <20170303165648.wg5nypcizxr2n6t5@abyayala>
 <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
 <87tv03ycvo.fsf@nckx>
 <CAJ3okZ0G+4um-=xfq1SL7ZwiOBXzAjXvNcPR91MdfqPGz+qUBw@HIDDEN>
 <87k0wwqng4.fsf@HIDDEN>
Date: Mon, 05 Jul 2021 13:07:05 +0200
In-Reply-To: <87k0wwqng4.fsf@HIDDEN> (zimoun's message of "Mon, 14 Sep 2020
 19:26:35 +0200")
Message-ID: <87wnq5j9ye.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952
Cc: 25952 <at> debbugs.gnu.org, contact.ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

For reference: <http://issues.guix.gnu.org/issue/25952>.

On Mon, 14 Sep 2020 at 19:26, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Tue, 26 May 2020 at 00:43, zimoun <zimon.toutoune@HIDDEN> wrote:
>> On Mon, 25 May 2020 at 22:32, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
>>
>>> The issue is that files such as /etc/guix/machines.scm (but this
>>> applies equally to /etc/guix/acl & so on) are expected to evaluate
>>> to a sexp.
>>>
>>> An empty file does not a valid sexp make, so Guix throws an
>>> prickly backtrace @ your face & dies.  This is unlike most other
>>> configuration formats where an empty file or one consisting
>>> entirely of comments is a no-op.
>>
>> Hum? I am not sure to get the point.  Are we talking about this kind
>> of situations, e.g.,
>>
>> touch /tmp/empty.scm
>> guix package -m /tmp/empty.scm -p /tmp/empy
>>
>> or
>>
>> echo ";; hello" > /tmp/comment.scm
>> guix package -m /tmp/comment.scm -p /tmp/comment
>>
>> or
>>
>> echo "(define x 42)" > /tmp/answer.scm
>> guix package -m /tmp/answer.scm -p /tmp/answer
>>
>>
>> ?
>
> If we are talking about such cases, I think we can close this bug
> report.
>
>
>>> We should decide whether =E2=80=98=E2=80=99 is a valid sexp (oh dear, p=
hilosophy)
>>> or throw something softer at people.
>>
>> Throw something more "helping" than e.g.,
>>
>> Backtrace:
>>            1 (primitive-load "/home/simon/.config/guix/current/bin/g=E2=
=80=A6")
>> In guix/ui.scm:
>>   1936:12  0 (run-guix-command _ . _)
>>
>> guix/ui.scm:1936:12: In procedure run-guix-command:
>> In procedure struct-vtable: Wrong type argument in position 1
>> (expecting struct): #<unspecified>
>>
>> ?
>
> More helping as suggested for example in this message:
>
> <https://lists.gnu.org/archive/html/guix-devel/2020-09/msg00125.html>
>
> If yes, the bug report should be renamed.  And probably goes to the
> Guile bug tracker. :-)


What do we do?  What is the next action?  Close?  If not, please provide
explanations about what the issue really is and what could be the plan
to fix it. :-)

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 14 Sep 2020 17:26:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 13:26:46 2020
Received: from localhost ([127.0.0.1]:56084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHsFa-0001yq-DN
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 13:26:46 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:37037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kHsFX-0001ya-8s
 for 25952 <at> debbugs.gnu.org; Mon, 14 Sep 2020 13:26:45 -0400
Received: by mail-wr1-f44.google.com with SMTP id z4so518421wrr.4
 for <25952 <at> debbugs.gnu.org>; Mon, 14 Sep 2020 10:26:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=8Ryym8HB8pfHCLYrJIqjExxTRawfuiXJ3WSKq456FsI=;
 b=O3vBBg9Q1SxrsG4y7mL/R4Unt4GNIP+AKTGzGGXQRtXQ+8V8R0nxdkmWbilipVp9tT
 RhkHcJxWAWroBzVGVNByRsD0jkD5wS47yWO1BzWT+NAFaPgzNm98EcXnT4lnq7Y1N9Qh
 UlDHQSnSNjNTugkPAdL/p9d0eg+fauXpHC6nPS5zkJCcPmOBDo2NbU8cFGzH9p/7+9s4
 SlvH9XsQa5mHjvPJJFwGM1ttAYRQ2x+RppuKXFiAL0xkuuYB262Pz90wkK9X6k4N+dlT
 yh+gNfmdHij8yCcmqJN3q53NKfTF+CZoJRfU6sjUz6nVha/KcQmmZFD35y5dhS2p18yJ
 M4gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=8Ryym8HB8pfHCLYrJIqjExxTRawfuiXJ3WSKq456FsI=;
 b=qCxPRDkUfilNqMAKzp7rvy9yY3dyGDhp+0g/qQSnKgZIWBUqFfjfJvx9P2Loamo4QF
 mIJxWD4OYCtah1NYntzr0V3vdXsyAim/pCKsmC0FfHdmpd25ShRdpgQY6XUvLhcek/5x
 abRMhw3tqaTSmY+WO9ixRr2J2HxTxwV1q1pLQtIgR/K2JM51/t4A7MXtg1Oodt/uWn7Y
 4piJgezVDDdzS3zFsgJRv4H8/inZd3Fxw10fgIk2Jgjx/EUXdaPwX/azjQ6/GKsIIfQq
 vikbWlxfaVnVvekq9o0MPsjbap9fKSitV9Uyj48K7T4fWMaMOTXa7tiT8BSqe02zprTM
 9vxQ==
X-Gm-Message-State: AOAM531fiHam5SZtwaFaraDIsEUrBtIBmqlmEjnZdf2FDNikubHpCizz
 aGd9G29RnGugOKGdqMSAiCU=
X-Google-Smtp-Source: ABdhPJwyCd5iY2HcD0zspIqxE9L0llS7PnwAZSG9UOPoCWsncgGMVVpBsC2N+PP1nhOOppFPk9nBIg==
X-Received: by 2002:adf:e952:: with SMTP id m18mr16770019wrn.171.1600104397360; 
 Mon, 14 Sep 2020 10:26:37 -0700 (PDT)
Received: from pfiuh02 ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id d23sm3468827wmb.6.2020.09.14.10.26.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 14 Sep 2020 10:26:36 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#25952: offloading empty machines file
References: <20170303165648.wg5nypcizxr2n6t5@abyayala>
 <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
 <87tv03ycvo.fsf@nckx>
 <CAJ3okZ0G+4um-=xfq1SL7ZwiOBXzAjXvNcPR91MdfqPGz+qUBw@HIDDEN>
Date: Mon, 14 Sep 2020 19:26:35 +0200
In-Reply-To: <CAJ3okZ0G+4um-=xfq1SL7ZwiOBXzAjXvNcPR91MdfqPGz+qUBw@HIDDEN>
 (zimoun's message of "Tue, 26 May 2020 00:43:33 +0200")
Message-ID: <87k0wwqng4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952
Cc: 25952 <at> debbugs.gnu.org, contact.ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

On Tue, 26 May 2020 at 00:43, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Mon, 25 May 2020 at 22:32, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
>
>> The issue is that files such as /etc/guix/machines.scm (but this
>> applies equally to /etc/guix/acl & so on) are expected to evaluate
>> to a sexp.
>>
>> An empty file does not a valid sexp make, so Guix throws an
>> prickly backtrace @ your face & dies.  This is unlike most other
>> configuration formats where an empty file or one consisting
>> entirely of comments is a no-op.
>
> Hum? I am not sure to get the point.  Are we talking about this kind
> of situations, e.g.,
>
> touch /tmp/empty.scm
> guix package -m /tmp/empty.scm -p /tmp/empy
>
> or
>
> echo ";; hello" > /tmp/comment.scm
> guix package -m /tmp/comment.scm -p /tmp/comment
>
> or
>
> echo "(define x 42)" > /tmp/answer.scm
> guix package -m /tmp/answer.scm -p /tmp/answer
>
>
> ?

If we are talking about such cases, I think we can close this bug
report.


>> We should decide whether =E2=80=98=E2=80=99 is a valid sexp (oh dear, ph=
ilosophy)
>> or throw something softer at people.
>
> Throw something more "helping" than e.g.,
>
> Backtrace:
>            1 (primitive-load "/home/simon/.config/guix/current/bin/g=E2=
=80=A6")
> In guix/ui.scm:
>   1936:12  0 (run-guix-command _ . _)
>
> guix/ui.scm:1936:12: In procedure run-guix-command:
> In procedure struct-vtable: Wrong type argument in position 1
> (expecting struct): #<unspecified>
>
> ?

More helping as suggested for example in this message:

<https://lists.gnu.org/archive/html/guix-devel/2020-09/msg00125.html>

If yes, the bug report should be renamed.  And probably goes to the
Guile bug tracker. :-)


All the best,
simon





Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 25 May 2020 22:43:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 18:43:53 2020
Received: from localhost ([127.0.0.1]:42756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdLp2-0001K0-PR
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 18:43:53 -0400
Received: from mail-qt1-f196.google.com ([209.85.160.196]:36743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1jdLp0-0001Jm-6E
 for 25952 <at> debbugs.gnu.org; Mon, 25 May 2020 18:43:51 -0400
Received: by mail-qt1-f196.google.com with SMTP id v4so14806865qte.3
 for <25952 <at> debbugs.gnu.org>; Mon, 25 May 2020 15:43:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=g/BdQHZTMD+YnOUEg1J3fYpn7gWaEIYNsDPxvLUR2G8=;
 b=He0QR+ac6p0SyMT2ZdbjkdJ0lpn/uO+2LvdmR7LD46I7J3wlNEzR1zxQhInJXDvOcD
 FIdfBs98TG6T8tH4N/4hG3C7FInOW805GCKxpFL+lBDdUMtj4vKzFPOnISIzQ7kflAFB
 l047C4fBrPtGenFY2+U5hxPeu6HBfQ6eM/jXh83eI4W6nUfmWoWE8Ed0VDX3sxORA1sE
 b04gd1zurTpXBPEYODHwelQdXf1p4q25B6ci2bBYP7j+lBnN4pKmbdTY78Lk5TioLwO9
 hGHmnI8DbGQWxfM2AHzZPdj4e5fTykg/cpFWROR7XxsPuNS0wr/5MS+zoFTxcY6pc8o1
 eh0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=g/BdQHZTMD+YnOUEg1J3fYpn7gWaEIYNsDPxvLUR2G8=;
 b=ClyhSEOTQXw+OwjWJH5+Xlp0MwPihhwGSCoVJAn8ga9u8bNLHBksiG8wvzLmUAilQW
 ons+t+wecTDYiR4aCTgExt8Sjfkg2LgMgTUwF39FFw3RkCAdvSRb87CTY1s5mjMmuvIO
 rJiyW6Bwcr3Yi5hnSHEDAVcUeHrrN3V2JwlEk25egXtJCziC1fPxkQvsGrYBH0Sg/XuY
 S5aXrGdQbXdEU06kw7/8g/3a2kgTLBbU6vuD4N13rKW67yelvi7FVapAGoO5aBnfkyYC
 I5L3gEVjonZX8O6IGYDG0hv59yflKs69bhkRxuYihQ7jYwDspQ62MHwD0/6hzBjzhWkI
 jtZA==
X-Gm-Message-State: AOAM531eZfF8QnqYUhFhW8bK58ma9oiw21e/c19m3j5clsD1JObP6yQK
 3IdQCF/M3M9ASCJm/cuGgZQl3IIy8Ah7gcbNWuc=
X-Google-Smtp-Source: ABdhPJyNKh5XvV2blbvu01zxQooacp6hfRzrt5Sj+AdUdoO5gNCwgSYI32mDj6NzAqVN4oHAm1jKKuw/1XhvXAOUWis=
X-Received: by 2002:aed:3949:: with SMTP id l67mr29222485qte.313.1590446624673; 
 Mon, 25 May 2020 15:43:44 -0700 (PDT)
MIME-Version: 1.0
References: <20170303165648.wg5nypcizxr2n6t5@abyayala>
 <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
 <87tv03ycvo.fsf@nckx>
In-Reply-To: <87tv03ycvo.fsf@nckx>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 26 May 2020 00:43:33 +0200
Message-ID: <CAJ3okZ0G+4um-=xfq1SL7ZwiOBXzAjXvNcPR91MdfqPGz+qUBw@HIDDEN>
Subject: Re: bug#25952: offloading empty machines file
To: Tobias Geerinckx-Rice <me@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952
Cc: 25952 <at> debbugs.gnu.org, contact.ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,

On Mon, 25 May 2020 at 22:32, Tobias Geerinckx-Rice <me@HIDDEN> wrote:

> The issue is that files such as /etc/guix/machines.scm (but this
> applies equally to /etc/guix/acl & so on) are expected to evaluate
> to a sexp.
>
> An empty file does not a valid sexp make, so Guix throws an
> prickly backtrace @ your face & dies.  This is unlike most other
> configuration formats where an empty file or one consisting
> entirely of comments is a no-op.

Hum? I am not sure to get the point.  Are we talking about this kind
of situations, e.g.,

--8<---------------cut here---------------start------------->8---
touch /tmp/empty.scm
guix package -m /tmp/empty.scm -p /tmp/empy
--8<---------------cut here---------------end--------------->8---

or

--8<---------------cut here---------------start------------->8---
echo ";; hello" > /tmp/comment.scm
guix package -m /tmp/comment.scm -p /tmp/comment
--8<---------------cut here---------------end--------------->8---

or

--8<---------------cut here---------------start------------->8---
echo "(define x 42)" > /tmp/answer.scm
guix package -m /tmp/answer.scm -p /tmp/answer
--8<---------------cut here---------------end--------------->8---

?


> We should decide whether =E2=80=98=E2=80=99 is a valid sexp (oh dear, phi=
losophy)
> or throw something softer at people.

Throw something more "helping" than e.g.,

--8<---------------cut here---------------start------------->8---
Backtrace:
           1 (primitive-load "/home/simon/.config/guix/current/bin/g=E2=80=
=A6")
In guix/ui.scm:
  1936:12  0 (run-guix-command _ . _)

guix/ui.scm:1936:12: In procedure run-guix-command:
In procedure struct-vtable: Wrong type argument in position 1
(expecting struct): #<unspecified>
--8<---------------cut here---------------end--------------->8---

?


> > Therefore, I am closing.  Feel free to reopen if I misunderstand
> > something.
>
> I think this bug should remain open until it's decided.  What you?

Well, it is a variant of Cunningham's Law, isn't it? :-)
So, let reopen it and decide on the philosophical dilemma. ;-)


Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 25 May 2020 20:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 16:32:17 2020
Received: from localhost ([127.0.0.1]:42630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdJlg-0006TK-QT
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 16:32:17 -0400
Received: from tobias.gr ([80.241.217.52]:59004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jdJle-0006RC-Mq
 for 25952 <at> debbugs.gnu.org; Mon, 25 May 2020 16:32:15 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 92f8d0ca;
 Mon, 25 May 2020 20:32:13 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=yv4Vz6RoMS/g0XApSgP5lV
 /k29be24/SZBTzOWk97+I=; b=Y4uwysEim7KjRgk05ZlHdFk+FINYYEP/S1a1/1
 42PASUSbpBqW3SgRN+bryNrClIeWS753NdMvhQh5TMhtUUDhHYpSMhWOEG0P9FcQ
 GN4U9ayVW9viHlyPcQ5kZZOLXN3zHIGKgw2o526CK/EnWK4k7++lckqtN95v3IBO
 0MUjcg3u4M1QJmmyiUD10KxGpE6my96hVUVgfaNSLdp2jo9/JHgi4FYQdWtLrIIV
 hOtLUyE2HU1BMo/POz8u3xFHJYUK4bnkXpd3dDarO8xXO4qolbQgQBVnqyO73dt2
 2WP/3wIKz0+c8Z8x3uGhCdCcR9sJg+FEDYHfCDo+4kFA9XfQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 7a51bf7b
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 25 May 2020 20:32:13 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#25952: offloading empty machines file
References: <20170303165648.wg5nypcizxr2n6t5@abyayala>
 <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
In-reply-to: <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
Date: Mon, 25 May 2020 22:32:11 +0200
Message-ID: <87tv03ycvo.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25952
Cc: 25952 <at> debbugs.gnu.org, contact.ng0@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Simon,

zimoun =E5=86=99=E9=81=93=EF=BC=9A
> This bug [1] had not been commented since the last 3 years and=20
> it has
> been asked more info 3 weeks ago.

The issue is that files such as /etc/guix/machines.scm (but this=20
applies equally to /etc/guix/acl & so on) are expected to evaluate=20
to a sexp.

An empty file does not a valid sexp make, so Guix throws an=20
prickly backtrace @ your face & dies.  This is unlike most other=20
configuration formats where an empty file or one consisting=20
entirely of comments is a no-op.

We should decide whether =E2=80=98=E2=80=99 is a valid sexp (oh dear, philo=
sophy)=20
or throw something softer at people.

> Therefore, I am closing.  Feel free to reopen if I misunderstand=20
> something.

I think this bug should remain open until it's decided.  What you?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXswrSwAKCRANsP+IT1Vt
eXXjAQCx5MlfcTM3OO12N+85EBSGgK5re8c+ELoLFe/8AZlU3wEAjffZYlMaH0Ti
9NXxZ4ykPcG7ehnK23MX4z9c67PJ/wU=
=SxtD
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.

Message received at 25952-done <at> debbugs.gnu.org:


Received: (at 25952-done) by debbugs.gnu.org; 25 May 2020 17:12:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 25 13:12:54 2020
Received: from localhost ([127.0.0.1]:42402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jdGej-0003hQ-Tt
	for submit <at> debbugs.gnu.org; Mon, 25 May 2020 13:12:54 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:33017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1jdGei-0003h5-EK
 for 25952-done <at> debbugs.gnu.org; Mon, 25 May 2020 13:12:52 -0400
Received: by mail-qv1-f44.google.com with SMTP id er16so8311880qvb.0
 for <25952-done <at> debbugs.gnu.org>; Mon, 25 May 2020 10:12:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Ne5ePs0oKrNoeY7TxYbNxfPX9H5ZFVJS14JmUvJvcf0=;
 b=dgXgxAOqzZlqNatbaneFMJPBz9kLFef6xduRnYopW9T5/rObofZmx+GVW12mpPxHgl
 FOl58P1Dyn3ofQvGHFnfbKqTKejfu85wZWdL7ceJqlU3PfI1BXcukaGqhxkRO1AQl2Lk
 2TjvWiqVUEA2ffEJnvwRZPITnOQGBJrbkghpSa0ZT1gg3vnCILsrrzkkq10HpHzfiKTB
 4MNXWN1InpW2wi5h/H+SpBrGp8odrIGI/nAx3SDexGZXB9pDy1xU20BmouXE+SdSxXXF
 HINm+IvioDeEjkhANxT41pep6JzSHl9jdPD7lcHWWRAxwaKZU6O67/G6NHkpfNPXo8F1
 9jvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Ne5ePs0oKrNoeY7TxYbNxfPX9H5ZFVJS14JmUvJvcf0=;
 b=cFPJ8VcqRH1OQK3ZgedMRdBwvyUbT9hekin8+DjmzFXwJLdxC1dvi7aTJ3ZGsh1Znx
 vahQ8vmdNgW8mFOkr5gEK1cIbudV5X+KxX9PFzQcBEZ/hHZbwH0lkcWTtM21jGVjQ0Qz
 LH9IOhrJP7QAHdU/M98Z/g8w5cOS7S+7A5kHjpxahDYfLu9jGNpwIJJGoQFADFH0u2XZ
 4WqUc8GHlHZdVuBUmMlQsvScI0IFqjQgrka46mDk1fW0G2UnEStiTxvoFwuL9tIsrr4k
 rAAqXNOC8213VEpfqxLManFsKlcZfY8Wky+olF4Q7WiXJsmJ9p7x7KBpDB7EcHugCYPa
 Hufw==
X-Gm-Message-State: AOAM530Zhkn8W40svWnqgJrdHa0jRUeSJAMhcTVp6t806nri72jtN54C
 GqNXeWINKqmSyU2Ok+TUO0DfFt+iPQBDGFvnBDS+JKzZ
X-Google-Smtp-Source: ABdhPJzG3JkK6lI5BP/LL2/SdpMCLMxm5kGQTpsWz6XmKeFjeHiudfJuJS2EDVX8JDD4UjJF92yQ7pEdA0F2zdRjG44=
X-Received: by 2002:a0c:f811:: with SMTP id r17mr16758130qvn.67.1590426766660; 
 Mon, 25 May 2020 10:12:46 -0700 (PDT)
MIME-Version: 1.0
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 25 May 2020 19:12:35 +0200
Message-ID: <CAJ3okZ2789hrEjvDX2Tsp84tnJgTa4fGP0DR+wfsUEVKCi21bw@HIDDEN>
Subject: bug#25952: offloading empty machines file
To: 25952-done <at> debbugs.gnu.org, contact.ng0@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

This bug [1] had not been commented since the last 3 years and it has
been asked more info 3 weeks ago.  Therefore, I am closing.  Feel free
to reopen if I misunderstand something.

[1] http://issues.guix.gnu.org/issue/25952


All the best,
simon




Notification sent to ng0 <contact.ng0@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to zimoun <zimon.toutoune@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) moreinfo. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25952 <at> debbugs.gnu.org:


Received: (at 25952) by debbugs.gnu.org; 3 May 2020 16:44:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 03 12:44:01 2020
Received: from localhost ([127.0.0.1]:57768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jVHij-0001UR-Al
	for submit <at> debbugs.gnu.org; Sun, 03 May 2020 12:44:01 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:43461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1jVHih-0001UB-Vc
 for 25952 <at> debbugs.gnu.org; Sun, 03 May 2020 12:44:00 -0400
Received: by mail-qk1-f177.google.com with SMTP id i14so3007829qka.10
 for <25952 <at> debbugs.gnu.org>; Sun, 03 May 2020 09:43:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=4nUX/+pA8L2PshRrnC4dRDA3A7nxUBGpYHEmI8TVl2Q=;
 b=fHM20oNqtf2eFmVKXZMrKIzXqfPs00hI3r4ILAEVAy9vXDS5bCZFCTsclA9py3Imhl
 tVUg8T+Aw45robJuayH4KNvKtpe6i6moVIy1XAJ52QPFac9+lbs6pusD8/h7id8XQlIj
 ed3ZjiQnO4kw0kxzTobKixFC90Qnba3brH2/MLjDk73dam3cpHXUmdRm36Rb9D4LWv4g
 5UcxQCY1l4A5WoorWrMlp5tY90LzVJcp0zU8nY1Fm4hvVxlN2D+SVlIvNlLfYAj8fmiM
 +xBZk7g6oBfiMD8Es4HXbjVCsI8NQKpKFqOpbyzkgOVAtBdm/I6gRRib0/lOjhJEF08h
 Fj3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=4nUX/+pA8L2PshRrnC4dRDA3A7nxUBGpYHEmI8TVl2Q=;
 b=LlT1plb1BnxJCurF+8VyMcW/bCUS/8YiaNwQ+PIsXYqQ/0E0/Mo+I3iZpZ5b17+Rjg
 hFe9gRGjSMh9c0Vz0nNqBVrv++3+3nAGYmVy+8DLAfqfRLP8IZKR6wT6WcpRCnWc5uzr
 DPLlA9Qz3cKGOCZglSJ/mp8MF2KZjKVmHs3AZsQxi/akbOPDNQw8av749Tg/yLp7Xvpo
 ev70pcKzRD0PQH71SJwt+9OJ4+Ipu78gevDerbjPmf5gzm6GmIfuvpNXa1M4oLy9K27B
 v3Cyk23/e9GUmaxetFXWQQF50umvxCez8mGgapPRjminLYSGKNX2rerxasNIC3AdTJVb
 rmIQ==
X-Gm-Message-State: AGi0PubMkUy9t7Ir/60cS3+B0vwjhUAWJPbkfoKzTAvgbShTeA8DQVLc
 0g9AgwXjWsmFMNYgsyRuwYye5ijJLbqJzGpv+kGp2kox
X-Google-Smtp-Source: APiQypKQcGpn7jMG1h5dE1Ph1LJy3Ysy067AilQCvPJUdTf1uU6lgtH+e65mJRz2mDCP7U1GNbYozkrlRee9v91/Lvk=
X-Received: by 2002:ae9:c311:: with SMTP id n17mr9923666qkg.201.1588524234483; 
 Sun, 03 May 2020 09:43:54 -0700 (PDT)
MIME-Version: 1.0
From: zimoun <zimon.toutoune@HIDDEN>
Date: Sun, 3 May 2020 18:43:43 +0200
Message-ID: <CAJ3okZ2DrBGb8WCGe=utnzMEpFf=myJXAO6AuX5Y8kCGNvMDGA@HIDDEN>
Subject: Bug#25952: offloading empty machines file
To: contact.ng0@HIDDEN, 25952 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25952
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

Digging in the bug tracker, I found this bug report [1].  Could you
expand on the issue? And report the error message?

Thank you in advance.

Best regards,
simon

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25952




Information forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2017 15:48:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 03 10:48:18 2017
Received: from localhost ([127.0.0.1]:38638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cjpRJ-0000Hu-Q9
	for submit <at> debbugs.gnu.org; Fri, 03 Mar 2017 10:48:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact.ng0@HIDDEN>) id 1cjpRI-0000Hh-C0
 for submit <at> debbugs.gnu.org; Fri, 03 Mar 2017 10:48:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cjpRC-0001q0-9c
 for submit <at> debbugs.gnu.org; Fri, 03 Mar 2017 10:48:11 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56370)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1cjpRC-0001pu-5t
 for submit <at> debbugs.gnu.org; Fri, 03 Mar 2017 10:48:10 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45621)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cjpRB-0004eg-29
 for bug-guix@HIDDEN; Fri, 03 Mar 2017 10:48:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cjpR6-0001nP-7j
 for bug-guix@HIDDEN; Fri, 03 Mar 2017 10:48:09 -0500
Received: from perdizione.investici.org ([2001:41d0:2:33d0::19]:30459)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1cjpR5-0001m4-UM
 for bug-guix@HIDDEN; Fri, 03 Mar 2017 10:48:04 -0500
Received: from [94.23.50.208] (perdizione [94.23.50.208]) (Authenticated
 sender: niasterisk@HIDDEN) by localhost (Postfix) with ESMTPSA id
 128DE120D51
 for <bug-guix@HIDDEN>; Fri,  3 Mar 2017 15:48:01 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cryptolab.net;
 s=stigmate; t=1488556081;
 bh=d+e/hwgUovjPaowjhiDkn8u+PJRDHixuVSfpxcNdygE=;
 h=Date:From:To:Subject;
 b=ijwTkfyTJSEzRtjOEU7dDTtvw9TxkcsFJzVATEeKRVCAtOJIunVZz6lhjce+3saNr
 jnAXr8C0SAv1tB64EydwDoqQ2gSMSfYxEkXCE+8kqwhc60oaoXmfQdq9aZIj3cYvwV
 kbZqoqH/EEn6IN4xzFbhP2KB+GIaklugxSm7m9Co=
Date: Fri, 3 Mar 2017 16:56:48 +0000
From: ng0 <contact.ng0@HIDDEN>
To: bug-guix@HIDDEN
Subject: offloading: empty machines file leads to error
Message-ID: <20170303165648.wg5nypcizxr2n6t5@abyayala>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

I have misplaced my log for this, but it is easy to reproduce:

configure offloading on master and build-machine, comment the entire
content of the file which holds the build-machines, run "guix build
hello" and see the error.

This should even work when you haven't configured offloading, just with
an empty machines file.




Acknowledgement sent to ng0 <contact.ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#25952; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Jul 2021 08:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.